from rest_framework import viewsets
from rest_framework.permissions import IsAuthenticated

from .models import EditorContentFile

from .serializers import EditorContentFileSerializer


class EditorContentFileViewSet(viewsets.ModelViewSet):
    queryset = EditorContentFile.objects.all()
    serializer_class = EditorContentFileSerializer
    permission_classes = [IsAuthenticated]
