from rest_framework import serializers
from modeltranslation.utils import fallbacks
from .models import Video


class VideoSerializer(serializers.ModelSerializer):

    class Meta:
        model = Video
        fields = ('id', 'name', 'youtube_id', 'file')
        read_only_fields = ('file',)


class VideoFileSerializer(serializers.ModelSerializer):

    class Meta:
        model = Video
        fields = ('id', 'file',)
